<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:background="@drawable/profile_room_online_bg"
    tools:layout_height="88dp"
    tools:layout_width="84dp">

    <com.adealink.weparty.commonui.ripple.RippleView
        android:id="@+id/v_ripple"
        style="@style/RoomOnlineRipple"
        android:layout_width="58dp"
        android:layout_height="58dp"
        android:layout_marginTop="6dp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:ripple_circle_min_radius="18dp" />

    <com.adealink.weparty.commonui.imageview.AvatarView
        android:id="@+id/iv_avatar"
        android:layout_width="36dp"
        android:layout_height="36dp"
        app:layout_constraintBottom_toBottomOf="@id/v_ripple"
        app:layout_constraintEnd_toEndOf="@id/v_ripple"
        app:layout_constraintStart_toStartOf="@id/v_ripple"
        app:layout_constraintTop_toTopOf="@id/v_ripple" />

    <androidx.appcompat.widget.AppCompatTextView
        android:id="@+id/tv_in_room"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="6dp"
        android:layout_marginBottom="6dp"
        android:ellipsize="end"
        android:fontFamily="@font/poppins_semibold"
        android:includeFontPadding="false"
        android:singleLine="true"
        android:text="@string/common_in_room"
        android:textColor="@color/white"
        android:textSize="12sp"
        app:layout_constrainedWidth="true"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toStartOf="@id/iv_go"
        app:layout_constraintHorizontal_chainStyle="packed"
        app:layout_constraintStart_toStartOf="parent" />

    <androidx.appcompat.widget.AppCompatImageView
        android:id="@+id/iv_go"
        android:layout_width="10dp"
        android:layout_height="10dp"
        android:layout_marginEnd="6dp"
        app:layout_constraintBottom_toBottomOf="@id/tv_in_room"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toEndOf="@id/tv_in_room"
        app:layout_constraintTop_toTopOf="@id/tv_in_room"
        app:srcCompat="@drawable/common_go_white_ic" />

</androidx.constraintlayout.widget.ConstraintLayout>